Bug 445624 - livecd-creator fails to correctly set timezone
livecd-creator fails to correctly set timezone
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-07 22:41 EDT by steve roush
Modified: 2008-07-02 02:34 EDT (History)
3 users (show)

See Also:
Fixed In Version: 017.1-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-02 02:33:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description steve roush 2008-05-07 22:41:47 EDT
Description of problem:
Only US/Eastern timezone is set correctly.  When livecd is booted, date displays
as EDT.  On inspection, /etc/sysconfig/clock is correct but /etc/localtime is
"US/Eastern" version.

Version-Release number of selected component (if applicable):
013.1.fc8.i386

How reproducible:
always

Steps to Reproduce:
1.use timezone America/Denver command in .ks file
2.build livecd
3.boot
4.run date command
  
Actual results:
date displays EDT

Expected results:
date should display MDT

Additional info:
Workaround is:
%post
cp /usr/share/zoneinfo/America/Denver /etc/localtime
Comment 1 Jeremy Katz 2008-05-27 15:25:21 EDT
Can you try http://katzj.fedorapeople.org/livecd-creator and see if it works better?
Comment 2 steve roush 2008-06-03 23:14:37 EDT
Oddly, your URL now points to an incomplete file, but I downloaded the complete
version a few days ago.
There seem to be two or three problems with the fix:
- the reference to "build_Dir" should be "build_dir"
- there seemed to be incorrect indentation, I think on the line that starts
"except OSError"
- I am guessing that "except OSError, (errno, msg)" should be "except OSError,
(err, msg)"

After I fixed the first two listed above, the new livecd-creator worked correctly.

steve
Comment 3 Jeremy Katz 2008-06-04 17:29:28 EDT
Thanks for testing; I've pushed this + the relevant fixes to an f8-branch in git
and will do an update of livecd-tools for f8-branch later this week or the
beginning of next week
Comment 4 Fedora Update System 2008-06-16 11:14:25 EDT
livecd-tools-017.1-1.fc9 has been submitted as an update for Fedora 9
Comment 5 Fedora Update System 2008-06-16 11:15:47 EDT
livecd-tools-013.1-1.fc8 has been submitted as an update for Fedora 8
Comment 6 Fedora Update System 2008-06-17 23:15:00 EDT
livecd-tools-013.1-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update livecd-tools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-5423
Comment 7 Fedora Update System 2008-07-02 02:33:43 EDT
livecd-tools-017.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-07-02 02:34:22 EDT
livecd-tools-013.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.